<?php
/**
 * 视频课程分类编辑
 * $Id: course_category_edit_input.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author lixq
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("12")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestNumber("id");
$action_type = ParamUtil::getRequestString("action_type");

$course_category_dat = new CourseCategoryDat();
if($action_type =="edit"){
  $course_category_dat = CourseCategoryDat::getById($id);
  if ($course_category_dat == null) {
    // エラー表示
    $message = "对象不存在.";
    $layout_pages = array();
    $layout_pages["left"] = "menu.inc";
    $layout_pages["right"] = "error.inc";
    require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
    exit;
  }
}
$parent_id = !empty($course_category_dat->parent_id)?$course_category_dat->parent_id:1;
$title = $course_category_dat->title;

$category_list = CourseParentCategory::getList();
// 页面表示
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "course_category_edit_input.inc";
$layout_pages["menu_clicked"] = "4-5";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;